#!/usr/bin/perl


#Скрипт для создания фреймов анимации Drop, и создания rpy файла


use strict;
use warnings;
use utf8;
use Scalar::Util qw( looks_like_number );
use Encode qw(decode encode);
use Cwd 'abs_path';
use File::Basename;
use Term::ANSIColor;

binmode(STDOUT,':utf8');
binmode(STDIN,':utf8');


#Путь до скрипта
my $S_SELF_PATH = abs_path( $0 );
#Имя скрипта
my $S_SELF_NAME = `basename $S_SELF_PATH`;
chomp( $S_SELF_NAME );


#Префикс фпйлов
my $S_IMG_PATH_PREFIX = "images/sprites/Micro_Emo/Drop";
#Количество кадров анимации
my $N_FRAMES = 10;

for( my $i = 0; $i < $N_FRAMES; $i++ )
{
	print( $i . "\n" );
	system( "convert Drop.png -page +0+" . int( $i * 3 ) . " -background none -flatten ./frames/" . $i . ".png" );
}


#создаем файл Drop.rpy
open( FILE, '>', "Drop.rpy" ) or die $!;


print FILE "# Этот файл сгенерирован скриптом " . $S_SELF_NAME . ", НЕ ПРАВИТЬ! ВСЕ ПРАВКИ БУДУТ УНИЧТОЖЕНЫ!\n";
print FILE "# Дата создания: " . `date \'+%Y.%m.%d %H:%M\'` . "\n\n";


print FILE "image Micro_Emo_Drop_Animated:\n";
for( my $i = 0; $i < $N_FRAMES; $i++ )
{
	print FILE "    pause 0.1\n";
	print FILE "    \"" . $S_IMG_PATH_PREFIX . "/frames/" . $i . ".png\"\n";
}
#print FILE "    repear\n";
